package com.xkrs.model.qo;


import com.xkrs.model.validation.FileUpdateQoUpdate;

import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 16:20
 */
public class FileUpdateQo {

    /**
     * 批次号
     */
    @NotBlank(message = "{FileEntity.lotNo.blank}", groups = {FileUpdateQoUpdate.class})
    private String lotNo;

    /**
     * 机器号
     */
    @NotBlank(message = "{FileEntity.machineNo.blank}", groups = {FileUpdateQoUpdate.class})
    private String machineNo;

    /**
     * 物料号
     */
    @NotBlank(message = "{FileEntity.materialNo.blank}", groups = {FileUpdateQoUpdate.class})
    private String materialNo;

    /**
     * 模具号
     */
    @NotBlank(message = "{FileEntity.modelNo.blank}", groups = {FileUpdateQoUpdate.class})
    private String modelNo;

    /**
     * 零件号
     */
    @NotBlank(message = "{FileEntity.partNo.blank}", groups = {FileUpdateQoUpdate.class})
    private String partNo;

    public FileUpdateQo() {
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }
}
